[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] Document AM_MISSING_PROG.
From: |
Benoit Sigoure |
Subject: |
[PATCH] Document AM_MISSING_PROG. |
Date: |
Sun, 4 Nov 2007 20:22:37 +0100 |
* TODO: Kill the relevant entry.
* doc/automake.texi (Public macros): Document AM_MISSING_PROG.
* tests/Makefile.am: Add the new test.
* tests/ammissingprog.test: New.
Signed-off-by: Benoit Sigoure <address@hidden>
---
Please drop autoconf-patches when replying. Thanks.
On Nov 4, 2007, at 1:49 AM, Ralf Wildenhues wrote:
>
> This is fine with me, given that we document AM_MISSING_PROG in
> Automake. That is not completely trivial, though: typically, the
> "missing" script needs adjustment for tools, making it un-generic.
I did not quite understand what you meant here, Ralf, so I didn't do anything
special. Are you refering to the --run option of `missing'?
By the way, the TODO file seems to have many rusted entries that have been
lying there for too long or completed since a long time already.
ChangeLog | 8 ++++++++
TODO | 2 --
doc/automake.texi | 6 ++++++
tests/Makefile.am | 1 +
tests/ammissingprog.test | 46 ++++++++++++++++++++++++++++++++++++++++++++++
5 files changed, 61 insertions(+), 2 deletions(-)
create mode 100755 tests/ammissingprog.test
diff --git a/ChangeLog b/ChangeLog
index eb5fdac..d953797 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2007-11-04 Benoit Sigoure <address@hidden>
+
+ Document AM_MISSING_PROG.
+ * TODO: Kill the relevant entry.
+ * doc/automake.texi (Public macros): Document AM_MISSING_PROG.
+ * tests/Makefile.am: Add the new test.
+ * tests/ammissingprog.test: New.
+
2007-10-29 Ralf Wildenhues <address@hidden>
Accommodate for new macro AC_AUTOCONF_VERSION.
diff --git a/TODO b/TODO
index ae7cc9d..b7e93a0 100644
--- a/TODO
+++ b/TODO
@@ -417,8 +417,6 @@ containing application.
Document:
-AM_MISSING_PROG
-
how to use the generated makefiles
- standard targets
- required targets
diff --git a/doc/automake.texi b/doc/automake.texi
index c9fd901..0f52437 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -3668,6 +3668,12 @@ AM_INIT_AUTOMAKE([gnits 1.5 no-define dist-bzip2])
@end example
or by passing a third non-empty argument to the obsolete form.
address@hidden AM_MISSING_PROG (@var{variable}, @var{prog-to-check-for})
address@hidden AM_MISSING_PROG
+Check whether @var{variable} is defined. If it is not defined, set
+it so that @var{prog-to-check-for} is invoked via the @file{missing}
+script.
+
@item AM_PATH_LISPDIR
@acindex AM_PATH_LISPDIR
@vindex EMACS
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 5d61ae7..1e3c74e 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -40,6 +40,7 @@ alpha.test \
alpha2.test \
amassign.test \
ammissing.test \
+ammissingprog.test \
amopt.test \
amsubst.test \
ansi.test \
diff --git a/tests/ammissingprog.test b/tests/ammissingprog.test
new file mode 100755
index 0000000..36357b3
--- /dev/null
+++ b/tests/ammissingprog.test
@@ -0,0 +1,46 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Make sure that AM_MISSING_PROG does its job.
+
+. ./defs || exit 1
+
+set -e
+
+cat > Makefile.am << 'EOF'
+all-local:
+ $(MYSHELL) -c 'echo hi >foo'
+EOF
+
+cat >> configure.in << 'EOF'
+AM_MISSING_PROG(MYSHELL, sh)
+AC_OUTPUT
+EOF
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+./configure --prefix "`pwd`"
+$MAKE
+
+echo hi >expected
+
+cmp foo expected
--
1.5.3.4.398.g859b